{
  lib,
  config,
  ...
}:
let
  cfg = config.nix-config;
in
{
  options = {
    nix-config.userName = lib.mkOption {
      type = lib.types.str;
      default = "remy";
      };
  };

  config = {

    users.users.${cfg.userName} = {
      isNormalUser = true;
      extraGroups = [
        "wheel" # Enable ‘sudo’ for the user.
        "input"
        # other groups are added as needed, eg. networkmanager
      ];
    };
  };
}
